<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [read](./bitburner.ns.read.md)

## NS.read() method

Read content of a file.

<b>Signature:</b>

```typescript
read(handle: string): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  handle | string | Filename to read from. |

<b>Returns:</b>

any

Data in the specified text file.

## Remarks

RAM cost: 0 GB

This function is used to read data from a text file (.txt).

This function will return the data in the specified text file. If the text file does not exist, an empty string will be returned.

